package com.io.yutian.aulib.nbt;

import java.util.Arrays;

public class NBTByteArray implements INBT {

    public static byte TYPE_ID = 7;

    private byte[] value;

    public NBTByteArray(byte[] value) {
        this.value = value;
    }

    public byte[] getByteArray() {
        return this.value;
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public String toString() {
        return "NBTByteArray{" +
                "value=" + Arrays.toString(value) +
                '}';
    }
}
