package com.io.yutian.aulib.serialize.serializers;

import com.io.yutian.aulib.serialize.Serializer;

import java.util.UUID;

public class UUIDSerializer implements Serializer<UUID> {
    @Override
    public Object serialize(UUID value) {
        return value.toString();
    }

    @Override
    public UUID deserialize(Object value) {
        return UUID.fromString((String) value);
    }
}
