package com.io.yutian.aulib.command;

import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public interface ITabCompleter {

    List<String> onTabComplete(CommandSender commandSender, String[] args, int index, String lastArg);

    static List<String> getPlayerList(String arg) {
        List<String> list = new ArrayList<>();
        for (Player player : Bukkit.getOnlinePlayers()) {
            String name = player.getName();
            if (arg != null && !arg.trim().equalsIgnoreCase("")) {
                if (name.toLowerCase().startsWith(arg.toLowerCase())) {
                    list.add(name);
                }
            } else {
                list.add(name);
            }
        }
        return list;
    }

}
